Package org.opensaml.xmlsec.encryption

# Interface CipherData

All Superinterfaces:
  `XMLObject`

All Known Implementing Classes:
  `CipherDataImpl`

public interface CipherData extends XMLObject
XMLObject representing XML Encryption, version 20021210, CipherData element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`CipherReference`
`getCipherReference()`
Get the CipherReference which points to the location encrypted data.
`CipherValue`
`getCipherValue()`
Get the base64-encoded data representing the encrypted form of the plaintext data.
`void`
`setCipherReference(CipherReference newCipherReference)`
Get the CipherReference which points to the location encrypted data.
`void`
`setCipherValue(CipherValue newCipherValue)`
Set the base64-encoded data representing the encrypted form of the plaintext data.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getCipherValue

@Nullable CipherValue getCipherValue()
Get the base64-encoded data representing the encrypted form of the plaintext data.

Returns:
  base64-encoded encrypted value

### setCipherValue

void setCipherValue(@Nullable CipherValue newCipherValue)
Set the base64-encoded data representing the encrypted form of the plaintext data.

Parameters:
  `newCipherValue` - the new base64-encoded encrypted data

### getCipherReference

@Nullable CipherReference getCipherReference()
Get the CipherReference which points to the location encrypted data.

Returns:
  CipherReference child element representing the encrypted data

### setCipherReference

void setCipherReference(@Nullable CipherReference newCipherReference)
Get the CipherReference which points to the location encrypted data.

Parameters:
  `newCipherReference` - the new CipherReference child element